Create custom OAuth provider
Creates a new Custom OAuth provider for the Tenant.
Creates a new Custom OAuth provider for the Tenant.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.loginradius.com/v2/manage/custom-providers/oauth" \ -H "Content-Type: application/json" \ -d '{ "ProviderName": "string", "UserLoginEndpoint": "string", "AccessTokenEndpoint": "string", "ApplicationKey": "string", "ApplicationSecret": "string", "Scope": "string", "ResponseType": "string", "DataMap": { "property1": "string", "property2": "string" }, "RequestTokenHttpMethod": "GET" }'{
"IsActive": true,
"CreatedAt": "2023-10-01T12:00:00Z",
"LastModified": "2023-10-01T12:00:00Z",
"QueryParam": {
"property1": "exampleValue",
"property2": "exampleValue"
},
"Headers": {
"Authorization": "Bearer token"
},
"DataMap": {
"property1": "string",
"property2": "string"
},
"ProviderName": "ExampleProvider",
"ApplicationID": "1234567890",
"ApplicationKey": "abcdefghijklmnop",
"ApplicationSecret": "secret123",
"Scope": "read write",
"ResponseType": "code",
"UserLoginEndpoint": "https://example.com/oauth2/login",
"ExtraParameterInRedirectToProvider": "extra_param=value",
"AccessTokenEndpoint": "https://example.com/oauth2/token",
"RequestTokenHttpMethod": "POST",
"AccessTokenParameterNameForApiAccess": "access_token",
"UserprofileEndpoint": "https://example.com/oauth2/userinfo",
"Domain": "example.com",
"EnableAutoLookUp": true,
"ListInInterface": true
}{
"ErrorCode": 7914,
"Message": "Post body is invalid",
"Description": "Please use a valid post body in JSON format."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Message": "Domain name already exists",
"Description": "The entered domain name is already associated with a configuration. Please input a different domain name.",
"ErrorCode": 8038
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}